%global momorel 1

Name:		paps
Version:	0.6.8
Release:	%{momorel}m%{?dist}

License:	LGPLv2+
URL:		http://paps.sourceforge.net/
Source0:	http://dl.sourceforge.net/sourceforge/paps/paps-%{version}.tar.gz
NoSource:       0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	pango-devel automake autoconf libtool doxygen cups-devel
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832897&group_id=153049&atid=786241
Patch0:		paps-0.6.8-shared.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832924&group_id=153049&atid=786241
Patch1:		paps-0.6.8-wordwrap.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832926&group_id=153049&atid=786241
Patch2:		paps-0.6.6-langinfo.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832929&group_id=153049&atid=786241
Patch3:		paps-0.6.6-lcnumeric.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832935&group_id=153049&atid=786241
Patch4:		paps-0.6.6-exitcode.patch
Patch50:	paps-cups.patch
Patch51:	paps-cpilpi.patch
Patch52:	paps-dsc-compliant.patch
Patch53:	paps-autoconf262.patch

Summary:	Plain Text to PostScript converter
Group:		Applications/Publishing
%description
paps is a PostScript converter from plain text file using Pango.

%package libs
Summary:	Libraries for paps
Group:		Development/Libraries
%description libs
paps is a PostScript converter from plain text file using Pango.


This package contains the library for paps.

%package devel
Summary:	Development files for paps
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%description devel
paps is a PostScript converter from plain text file using Pango.

This package contains the development files that is necessary to develop
applications using paps API.


%prep
%setup -q
%patch0 -p1 -b .shared
%patch1 -p1 -b .wordwrap
%patch2 -p1 -b .langinfo
%patch3 -p1 -b .lcnumeric
%patch4 -p1 -b .exitcode
%patch50 -p1 -b .cups
%patch51 -p1 -b .cpilpi
%patch52 -p1 -b .dsc
%patch53 -p1 -b .autoconf262
autoreconf


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=%{buildroot}

# remove unnecessary files
rm $RPM_BUILD_ROOT%{_libdir}/libpaps.la

# make a symlink for CUPS filter
%{__mkdir_p} $RPM_BUILD_ROOT/usr/lib/cups/filter # Not libdir
ln -s %{_bindir}/paps $RPM_BUILD_ROOT/usr/lib/cups/filter/texttopaps

#rm -rf %{buildroot}%{_includedir}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING.LIB README TODO
%{_bindir}/paps
%{_mandir}/man1/paps.1*
/usr/lib/cups/filter/texttopaps

%files libs
%defattr(-, root, root, -)
%doc COPYING.LIB
%{_libdir}/libpaps.so.*

%files devel
%defattr(-, root, root, -)
%doc COPYING.LIB
%{_includedir}/libpaps.h
%{_libdir}/libpaps.so

%changelog
* Thu Jul 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.8-1m)
- update to 0.6.8 (sync fedora)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.6-4m)
- rebuild against gcc43

* Sat Jun 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.6-3m)
- revised cups filter directory

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.6-2m)
- change Source URL

* Thu Jun 14 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.6-1m)
- import from Fedora
- for cups



